Bug 31779 - sndconfig incorrectly detect the integrated audio device Compaq DP EN-866 model
sndconfig incorrectly detect the integrated audio device Compaq DP EN-866 model
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Doug Ledford
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-14 10:23 EST by Need Real Name
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-05 20:03:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-03-14 10:23:15 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)


The sound is initialized but plays back at rapid speed when the sound test 
is initialized.

Reproducible: Always
Steps to Reproduce:
1.Get a COMPAQ DP EN-866 or better and use the onboard sound
2.Install Wolverine (or fisher or 7.0 for that matter)
3.Run sndconfig and listen...
	

Actual Results:  Sounds is oversampling

Expected Results:  Sound should sound right

This is also a problem present when OSS is installed.
Comment 1 Bill Nottingham 2001-03-14 11:04:51 EST
What driver/chip is that using? (If you don't know, post the output
of 'lspci'.)
Comment 2 Need Real Name 2001-03-14 12:03:57 EST
Here is the output of lspci:
00:00.0 Host bridge: Intel Corporation 82815 815 Chipset Host Bridge and Memory 
Controller Hub (rev 02)
00:01.0 PCI bridge: Intel Corporation: Unknown device 1131 (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82820 820 (Camino 2) Chipset PCI (rev 01)
00:1f.0 ISA bridge: Intel Corporation 82820 820 (Camino 2) Chipset ISA Bridge 
(ICH2) (rev 01)
00:1f.1 IDE interface: Intel Corporation 82820 820 (Camino 2) Chipset IDE U100 
(rev 01)
00:1f.4 USB Controller: Intel Corporation 82820 820 (Camino 2) Chipset USB (Hub 
B) (rev 01)
00:1f.5 Multimedia audio controller: Intel Corporation: Unknown device 2445 
(rev 01)
01:00.0 VGA compatible controller: nVidia Corporation Riva TnT2 [NV5] (rev 15)
02:08.0 Ethernet controller: Intel Corporation 82820 820 (Camino 2) Chipset 
Ethernet (rev 01)
Comment 3 Bill Nottingham 2001-03-14 12:05:21 EST
This should be fixed better in the rawhide kernel; it's a driver issue.
Comment 4 Need Real Name 2001-03-14 12:08:34 EST
Is rawhide the followup to Wolverine?
Comment 5 Bill Nottingham 2001-03-14 12:09:54 EST
Rawhide is a rolling, updated snapshot of our development tree.

ftp://ftp.redhat.com/pub/rawhide/
Comment 6 Need Real Name 2001-03-14 12:19:52 EST
Should I grab some packages from rawhide to fix this problem or not?
Comment 7 Bill Nottingham 2001-03-14 12:38:12 EST
The kernel in rawhide should work better for this sound chip.
Comment 8 Need Real Name 2001-03-27 08:46:41 EST
This kernel still does not fix the problem.  Just an FYI, I'm not too worried 
about the sound.  It does detect the sound card and I can hear the sample being 
played but, it still sounds like the munchkins from The Wizard of OZ.
Comment 9 Doug Ledford 2001-04-19 22:50:00 EDT
If this still happens with 7.1 then it isn't a driver bug, it's a hardware
limitation.  Additionally, with the final 7.1 product, even if it doesn't sound
right when running the simple sound test, things like xmms should sound OK when
playing music (the program that plays the simple sound test during sound card
configuration doesn't know how to upsample the sound from 8kHz to the required
speed, so it sounds off, but it is the sox program's responsibility to upsample
sounds when the driver doesn't support the request speed/sample size, which is
the case with your machine).

Note You need to log in before you can comment on or make changes to this bug.